groovy.xml.streamingmarkupsupport

## Class Builder

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - groovy.xml.streamingmarkupsupport.Builder

All Implemented Interfaces:
  GroovyObject

Direct Known Subclasses:
  BaseMarkupBuilder

    public abstract class Builder
    extends GroovyObjectSupport

### Nested Class Summary

Nested Classes
`protected static class` `Builder.Built`

### Field Summary

Fields
`protected java.util.Map` `namespaceMethodMap`

### Constructor Summary

Constructors
Constructor and Description
`Builder(java.util.Map namespaceMethodMap)`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract java.lang.Object` `bind(Closure root)`

### Methods inherited from class groovy.lang.GroovyObjectSupport

`getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### namespaceMethodMap

    protected final java.util.Map namespaceMethodMap

### Constructor Detail

#### Builder

    public Builder(java.util.Map namespaceMethodMap)

### Method Detail

#### bind

    public abstract java.lang.Object bind(Closure root)